rm(list=ls())


## Set the working directory in R to the reproduce folder before executing the following R-code


path_data="data_files/"
path_fig="figures/"

f0c<-read.table(paste(path_data,"testsf0c_2.txt", sep=""), head=T)
f0nc<-read.table(paste(path_data,"testsf0nc_2.txt", sep=""), head=T)
f0pc<-read.table(paste(path_data,"testsf0part_2.txt", sep=""), head=T)


batch.means<-function(x,b.length,nbs,dp){
m<-c()
for(i in 1:nbs){
m[i]<-round(mean(x[((i-1)*b.length+1):(b.length*i)]),dp)
}
return(m)
}

meansPSRF_ESStheta<-matrix(NA,20,6)
meansPSRF_ESStheta[,1]<-batch.means(f0c[,1],20,20,2)
meansPSRF_ESStheta[,2]<-batch.means(f0nc[,1],20,20,2)
meansPSRF_ESStheta[,3]<-batch.means(f0pc[,1],20,20,2)
meansPSRF_ESStheta[,4]<-batch.means(f0c[,2],20,20,0)
meansPSRF_ESStheta[,5]<-batch.means(f0nc[,2],20,20,0)
meansPSRF_ESStheta[,6]<-batch.means(f0pc[,2],20,20,0)

library(xtable)
d<-rep(c("0","1/3","2/3","1"),5)
xtable(cbind(d,round(meansPSRF_ESStheta,2)))


meansESSvar<-matrix(NA,20,6)
meansESSvar[,1]<-batch.means(f0c[,3],20,20,0)
meansESSvar[,2]<-batch.means(f0nc[,3],20,20,0)
meansESSvar[,3]<-batch.means(f0pc[,3],20,20,0)
meansESSvar[,4]<-batch.means(f0c[,4],20,20,0)
meansESSvar[,5]<-batch.means(f0nc[,4],20,20,0)
meansESSvar[,6]<-batch.means(f0pc[,4],20,20,0)

library(xtable)
d<-rep(c("0","1/3","2/3","1"),5)
xtable(cbind(d,meansESSvar))