rm(list=ls())

psrfEssPlotM<-function(x,ratios,decay,reps,cex.axis,cex.sub){

psrf<-matrix(x[,1],reps,ratios*decay)
ess.theta<-matrix(x[,2],reps,ratios*decay)

ds<-c("0","1/3","2/3","1")

par(mfrow=c(2,5)) #b,l,t,r
boxplot(psrf[,1:4], sub="(a)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(psrf[,5:8], sub="(b)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(psrf[,9:12], sub="(c)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(psrf[,13:16], sub="(d)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(psrf[,17:20], sub="(e)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)

boxplot(ess.theta[,1:4], sub="(f)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.theta[,5:8], sub="(g)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.theta[,9:12], sub="(h)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.theta[,13:16], sub="(i)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.theta[,17:20], sub="(j)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)

}



SigEssPlotM<-function(x,ratios,decay,reps,cex.axis,cex.sub){
ess.sig.0<-matrix(x[,3],reps,ratios*decay)
ess.sig.e<-matrix(x[,4],reps,ratios*decay)

ds<-c("0","1/3","2/3","1")

par(mfrow=c(2,5))
boxplot(ess.sig.0[,1:4], sub="(a)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.0[,5:8], sub="(b)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.0[,9:12], sub="(c)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.0[,13:16], sub="(d)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.0[,17:20], sub="(e)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)

boxplot(ess.sig.e[,1:4], sub="(f)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.e[,5:8], sub="(g)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.e[,9:12], sub="(h)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.e[,13:16], sub="(i)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)
boxplot(ess.sig.e[,17:20], sub="(j)",col="gray",xaxt="n",cex.axis=cex.axis,cex.sub=cex.sub)
axis(1, at=1:4, labels=ds[1:4],cex.axis=cex.axis)

}

## Set the working directory in R to the reproduce folder before executing the following R-code

path_data="data_files/"
path_fig="figures/"

f0pc1<-read.table(paste(path_data,"testsf0part_1.txt", sep=""), head=T)
f0pc2<-read.table(paste(path_data,"testsf0part_2.txt", sep=""), head=T)

####fig5
psrfEssPlotM(f0pc1,ratios=5,decay=4,reps=20,cex.axis=2,cex.sub=2)
dev.copy2pdf(file=paste(path_fig,"PSRFandESSthetapc.pdf",sep=""),width=12,height=6)

####fig6
psrfEssPlotM(f0pc2,ratios=5,decay=4,reps=20,cex.axis=2,cex.sub=1.75)
dev.copy2pdf(file=paste(path_fig,"PSRFandESSthetapcUn.pdf",sep=""),width=12,height=6)

####fig7
SigEssPlotM(f0pc2,ratios=5,decay=4,reps=20,cex.axis=2,cex.sub=2)
dev.copy2pdf(file=paste(path_fig,"ESSsigmapc.pdf",sep=""),width=12,height=6)



