## Set the working directory in R to the data_files folder before executing the following R-code




library(coda)
MPSRF<-function(chain1,chain2,chain3,chain4,chain5){
N<-nrow(chain1)

W1<-matrix(NA,ncol(chain1),ncol(chain1))
W2<-matrix(NA,ncol(chain1),ncol(chain1))
W3<-matrix(NA,ncol(chain1),ncol(chain1))
W4<-matrix(NA,ncol(chain1),ncol(chain1))
W5<-matrix(NA,ncol(chain1),ncol(chain1))


for(i in 1:ncol(chain1)){
for(j in 1:ncol(chain1)){
W1[i,j]<-cov(chain1[,i],chain1[,j])
W2[i,j]<-cov(chain2[,i],chain2[,j])
W3[i,j]<-cov(chain3[,i],chain3[,j])
W4[i,j]<-cov(chain4[,i],chain4[,j])
W5[i,j]<-cov(chain5[,i],chain5[,j])
}}
W<-(1/5)*(W1+W2+W3+W4+W5)


means1<-apply(chain1,MARGIN=2,FUN=mean)
means2<-apply(chain2,MARGIN=2,FUN=mean)
means3<-apply(chain3,MARGIN=2,FUN=mean)
means4<-apply(chain4,MARGIN=2,FUN=mean)
means5<-apply(chain5,MARGIN=2,FUN=mean)

overallmeans<-c()
for (i in 1:length(means1)){
overallmeans[i]<-(1/5)*(means1[i]+means2[i]+
means3[i]+means4[i]+means5[i])
}

B1<-matrix(NA,ncol(chain1),ncol(chain1))
B2<-matrix(NA,ncol(chain1),ncol(chain1))
B3<-matrix(NA,ncol(chain1),ncol(chain1))
B4<-matrix(NA,ncol(chain1),ncol(chain1))
B5<-matrix(NA,ncol(chain1),ncol(chain1))


for(i in 1:ncol(chain1)){
for(j in 1:ncol(chain1)){
B1[i,j]<-(means1[i]-overallmeans[i])*(means1[j]-overallmeans[j])
B2[i,j]<-(means2[i]-overallmeans[i])*(means2[j]-overallmeans[j])
B3[i,j]<-(means3[i]-overallmeans[i])*(means3[j]-overallmeans[j])
B4[i,j]<-(means4[i]-overallmeans[i])*(means4[j]-overallmeans[j])
B5[i,j]<-(means5[i]-overallmeans[i])*(means5[j]-overallmeans[j])
}}
B<-(1/4)*(B1+B2+B3+B4+B5)

lambda<-eigen(solve(W)%*%B)$values[1]
msprf<-((N-1)/N)+1.2*lambda
return(msprf)
}



s<-5

N<-25000
reps<-1
interval<-5


threshold<-c()
distancef0c<-c()
ESS<-matrix(NA,reps,s)

for(r in 1:1){

f01c<-read.table("par_output_f01_partS.txt") 
f02c<-read.table("par_output_f02_partS.txt") 
f03c<-read.table("par_output_f03_partS.txt")  
f04c<-read.table("par_output_f04_partS.txt") 
f05c<-read.table("par_output_f05_partS.txt") 


f01c[,3:s]<-1/f01c[,3:s]
f02c[,3:s]<-1/f02c[,3:s]
f03c[,3:s]<-1/f03c[,3:s]
f04c[,3:s]<-1/f04c[,3:s]
f05c[,3:s]<-1/f05c[,3:s]


index<-interval*(1:(N/interval))
yf0c<-c()
for (i in 1:(N/interval)){
yf0c[i]<-MPSRF(chain1=f01c[(1:index[i]),1:s],
chain2=f02c[(1:index[i]),1:s],chain3=f03c[(1:index[i]),1:s],
chain4=f04c[(1:index[i]),1:s],chain5=f05c[(1:index[i]),1:s])
if(as.numeric(yf0c[i])<1.1)break
}
threshold[r]<-length(yf0c)*interval

f0c<-mcmc.list(mcmc(f01c),mcmc(f02c),mcmc(f03c),mcmc(f04c),mcmc(f05c))

ESS[r,]<-effectiveSize(f0c)
}

testsf0c<-cbind("threshold"=threshold,"ESS theta0"=ESS[,1],
"ESS theta1"=ESS[,2],"ESS sig1"=ESS[,3],"ESS sig1"=ESS[,4], 
"ESS sige"=ESS[,5])

write.table(testsf0c,"testsf0part_3.txt")
